## ros-rolling-libstatistics-collector 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(libstatistics_collector)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Enable strict compiler flags if possible.
include(CheckCXXCompilerFlag)
set(FLAGS -pedantic -Wno-long-long -Wall -Wextra -Wcast-qual -Wformat -Wwrite-strings -Wcast-align
  -Wno-error=cast-align -Wmissing-declarations -Wconversion)
foreach(FLAG ${FLAGS})
  check_cxx_compiler_flag(${FLAG} R${FLAG})
  if(${R${FLAG}})
    set(WARNING_CXX_FLAGS "${WARNING_CXX_FLAGS} ${FLAG}")
  endif()
endforeach()

if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(rcl REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(statistics_msgs REQUIRED)
find_package(std_msgs REQUIRED)

add_library(${PROJECT_NAME}
  src/libstatistics_collector/collector/collector.cpp
  src/libstatistics_collector/collector/generate_statistics_message.cpp
  src/libstatistics_collector/moving_average_statistics/moving_average.cpp
  src/libstatistics_collector/moving_average_statistics/types.cpp)

target_compile_definitions(${PROJECT_NAME} PRIVATE "LIBSTATISTICS_COLLECTOR_BUILDING_LIBRARY")

target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")

ament_target_dependencies(${PROJECT_NAME}
  "rcl"
  "rcpputils"
  "statistics_msgs")

install(
  TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})
ament_export_dependencies("rcl" "rcpputils" "rosidl_default_runtime" "statistics_msgs")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(performance_test_fixture REQUIRED)

  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_collector
    test/collector/test_collector.cpp)
  target_link_libraries(test_collector ${PROJECT_NAME})
  ament_target_dependencies(test_collector "rcpputils")

  ament_add_gtest(test_moving_average_statistics
    test/moving_average_statistics/test_moving_average_statistics.cpp)
  target_link_libraries(test_moving_average_statistics ${PROJECT_NAME})
  ament_target_dependencies(test_moving_average_statistics "rcpputils")

  ament_add_gtest(test_received_message_period
    test/topic_statistics_collector/test_received_message_period.cpp)
  target_link_libraries(test_received_message_period ${PROJECT_NAME})
  ament_target_dependencies(test_received_message_period "rcl" "rcpputils")

  ament_add_gtest(test_received_message_age
    test/topic_statistics_collector/test_received_message_age.cpp)
  target_link_libraries(test_received_message_age ${PROJECT_NAME})
  ament_target_dependencies(test_received_message_age "rcl" "rcpputils")

  rosidl_generate_interfaces(libstatistics_collector_test_msgs
    "test/msg/DummyMessage.msg"
    DEPENDENCIES "std_msgs")

  # To enable use of dummy_message.hpp in test_received_message_age
  rosidl_target_interfaces(test_received_message_age libstatistics_collector_test_msgs "rosidl_typesupport_cpp")

  add_performance_test(benchmark_iterative test/benchmark/benchmark_iterative.cpp)
  if(TARGET benchmark_iterative)
    target_link_libraries(benchmark_iterative ${PROJECT_NAME})
  endif()
endif()

install(
  DIRECTORY include/
  DESTINATION include
)

ament_package()

=== debian/changelog ===
ros-rolling-libstatistics-collector (1.1.0-2focal) focal; urgency=high

  * fix: measured values after the decimal point are truncated #79 <https://github.com/ros-tooling/libstatistics_collector/issues/79> (#80 <https://github.com/ros-tooling/libstatistics_collector/issues/80>)
  * Update linter to run on rolling+focal (#81 <https://github.com/ros-tooling/libstatistics_collector/issues/81>)
  * Add automerge.yml config file (#70 <https://github.com/ros-tooling/libstatistics_collector/issues/70>)
  * Update QD to QL 1 (#68 <https://github.com/ros-tooling/libstatistics_collector/issues/68>)
  * Updated QD (#64 <https://github.com/ros-tooling/libstatistics_collector/issues/64>)
  * Updated QD Performance tests (#58 <https://github.com/ros-tooling/libstatistics_collector/issues/58>)
  * Added benchmark test to libstatistics_collector (#57 <https://github.com/ros-tooling/libstatistics_collector/issues/57>)
    * Added benchmark test to libstatistics_collector
    * cppcheck supressed unknown macro warning - macos
    * Reset heap counters
    * Added feedback
    * Remove unknownMacro suppression from CMakeLists.txt
    * Added feedback
    * moved benchmark test to test/benchmark
    * Added feedback
    Co-authored-by: Devin Bonnie <mailto:47613035+dabonnie@users.noreply.github.com>
  * Report failed workflows (#56 <https://github.com/ros-tooling/libstatistics_collector/issues/56>)
    Allow codecov failures to be silent
  * Add default CODEOWNERS file (#55 <https://github.com/ros-tooling/libstatistics_collector/issues/55>)
  * Remove repo activity from individual repositories in favor of centralized reporting (#52 <https://github.com/ros-tooling/libstatistics_collector/issues/52>)
  * Don't attempt to report if originating from a fork (#43 <https://github.com/ros-tooling/libstatistics_collector/issues/43>)
  * Removed doxygen warnings (#41 <https://github.com/ros-tooling/libstatistics_collector/issues/41>)
    Co-authored-by: Anas Abou Allaban <mailto:allabana@amazon.com>
  * Add autoapprove action for dependabot (#40 <https://github.com/ros-tooling/libstatistics_collector/issues/40>)
  * Create Dependabot config file (#31 <https://github.com/ros-tooling/libstatistics_collector/issues/31>)
    * Create Dependabot config file
    * Randomize time of run
    Co-authored-by: dependabot-preview[bot] <27856297+dependabot-preview[bot]@users.noreply.github.com>
    Co-authored-by: Prajakta Gokhale <mailto:prajaktg@amazon.com>
  * Updated QD to 3 (#30 <https://github.com/ros-tooling/libstatistics_collector/issues/30>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#24 <https://github.com/ros-tooling/libstatistics_collector/issues/24>)
    Co-authored-by: Emerson Knapp <mailto:537409+emersonknapp@users.noreply.github.com>
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Devin Bonnie, Emerson Knapp, Lucas Han, Prajakta Gokhale, Stephen Brawner, hsgwa

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Fri, 19 Mar 2021 00:00:00 -0000

ros-rolling-libstatistics-collector (1.0.1-2focal) focal; urgency=high

  * Added quality declaration (#21 <https://github.com/ros-tooling/libstatistics_collector/issues/21>)
    * Added quality declaration
    * Added feedback
    * Fixed rep link
    * Fixed QD
    * added feedback
    * Added feedback
  * Added Doxyfile (#23 <https://github.com/ros-tooling/libstatistics_collector/issues/23>)
  * Run CI on Focal (#20 <https://github.com/ros-tooling/libstatistics_collector/issues/20>)
  * Run lint worflow on Docker (#19 <https://github.com/ros-tooling/libstatistics_collector/issues/19>)
  * Fix annotation syntax for thread safety attributes (#18 <https://github.com/ros-tooling/libstatistics_collector/issues/18>)
  * Remove unused strategy matrix for ASAN CI job (#17 <https://github.com/ros-tooling/libstatistics_collector/issues/17>)
  * Refactor workflow to extract CW reporting (#15 <https://github.com/ros-tooling/libstatistics_collector/issues/15>)
  * Contributors: Alejandro Hernández Cordero, Emerson Knapp, Thomas Moulard

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 27 May 2020 00:00:00 -0000

ros-rolling-libstatistics-collector (1.0.0-2focal) focal; urgency=high

  * Bump actions versions (#14 <https://github.com/ros-tooling/libstatistics_collector/issues/14>)
    * Bump actions versions
    * Use upload-artifact v1
  * Bump setup-ros to 0.0.20 (#10 <https://github.com/ros-tooling/libstatistics_collector/issues/10>)
    0.0.20 is also installing numpy which currently
    prevents the CI runs from succeeding.
  * Log workflow results to CloudWatch (#11 <https://github.com/ros-tooling/libstatistics_collector/issues/11>)
  * Add repo activity workflow (#12 <https://github.com/ros-tooling/libstatistics_collector/issues/12>)
  * export targets in a addition to include directories / libraries (#8 <https://github.com/ros-tooling/libstatistics_collector/issues/8>)
  * Fix windows warning (#6 <https://github.com/ros-tooling/libstatistics_collector/issues/6>)
  * Apply windows vibility fix changes (#5 <https://github.com/ros-tooling/libstatistics_collector/issues/5>)
    * Apply windows vibility fix changes
    * Add test fixes
    * Add ament_cmake_ros dependency
    * Alphasort CmakeLists.txt
    * Alphasort package.xml
    * Alphasort collector.hpp
    * Add quotes in cmake
  * Fix README test badge (#4 <https://github.com/ros-tooling/libstatistics_collector/issues/4>)
    * Fix README test badge
    * Fix bracket
  * Fix license format and add linter actions (#3 <https://github.com/ros-tooling/libstatistics_collector/issues/3>)
  * Update GH Actions badge
  * Move libstatistics_collector folder from system_metrics_collector (#2 <https://github.com/ros-tooling/libstatistics_collector/issues/2>)
    * Moved libstatistics_collector folder from system_metrics_collector
    * Address review comments
    * Add actions, reflect changes in statistics_msgs
    * Add CONTRIBUTING.md


=== debian/control ===
Source: ros-rolling-libstatistics-collector
Section: misc
Priority: optional
Maintainer: ROS Tooling Working Group <ros-tooling@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-performance-test-fixture, ros-rolling-rcl, ros-rolling-rcpputils, ros-rolling-rosidl-default-generators, ros-rolling-statistics-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-libstatistics-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcl, ros-rolling-rcpputils, ros-rolling-rosidl-default-runtime, ros-rolling-statistics-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Lightweight aggregation utilities to collect statistics and measure message metrics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-libstatistics-collector//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-libstatistics-collector 1.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,10 @@
   set(CMAKE_C_STANDARD 99)
 endif()
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 # Enable strict compiler flags if possible.
@@ -27,13 +28,11 @@
 endif()
 
 # find dependencies
-find_package(ament_cmake REQUIRED)
 find_package(ament_cmake_ros REQUIRED)
+find_package(builtin_interfaces REQUIRED)
 find_package(rcl REQUIRED)
 find_package(rcpputils REQUIRED)
-find_package(rosidl_default_generators REQUIRED)
 find_package(statistics_msgs REQUIRED)
-find_package(std_msgs REQUIRED)
 
 add_library(${PROJECT_NAME}
   src/libstatistics_collector/collector/collector.cpp
@@ -45,13 +44,14 @@
 
 target_include_directories(${PROJECT_NAME} PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
-  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>"
-  "$<INSTALL_INTERFACE:include>")
+  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
 
 ament_target_dependencies(${PROJECT_NAME}
+  "builtin_interfaces"
   "rcl"
   "rcpputils"
-  "statistics_msgs")
+  "statistics_msgs"
+)
 
 install(
   TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
@@ -60,15 +60,21 @@
   RUNTIME DESTINATION bin
 )
 
-ament_export_include_directories(include)
+# Export old-style CMake variables
+ament_export_include_directories("include/${PROJECT_NAME}")
 ament_export_libraries(${PROJECT_NAME})
+
+# Export modern CMake targets
 ament_export_targets(${PROJECT_NAME})
-ament_export_dependencies("rcl" "rcpputils" "rosidl_default_runtime" "statistics_msgs")
+
+ament_export_dependencies("builtin_interfaces" "rcl" "rcpputils" "rosidl_default_runtime" "statistics_msgs")
 
 if(BUILD_TESTING)
   find_package(ament_lint_auto REQUIRED)
   find_package(ament_cmake_gtest REQUIRED)
   find_package(performance_test_fixture REQUIRED)
+  find_package(rosidl_default_generators REQUIRED)
+  find_package(std_msgs REQUIRED)
 
   ament_lint_auto_find_test_dependencies()
 
@@ -94,10 +100,13 @@
 
   rosidl_generate_interfaces(libstatistics_collector_test_msgs
     "test/msg/DummyMessage.msg"
-    DEPENDENCIES "std_msgs")
+    "test/msg/DummyCustomHeaderMessage.msg"
+    DEPENDENCIES "std_msgs"
+    SKIP_INSTALL)
 
   # To enable use of dummy_message.hpp in test_received_message_age
-  rosidl_target_interfaces(test_received_message_age libstatistics_collector_test_msgs "rosidl_typesupport_cpp")
+  rosidl_get_typesupport_target(cpp_typesupport_target libstatistics_collector_test_msgs "rosidl_typesupport_cpp")
+  target_link_libraries(test_received_message_age "${cpp_typesupport_target}")
 
   add_performance_test(benchmark_iterative test/benchmark/benchmark_iterative.cpp)
   if(TARGET benchmark_iterative)
@@ -107,7 +116,7 @@
 
 install(
   DIRECTORY include/
-  DESTINATION include
+  DESTINATION include/${PROJECT_NAME}
 )
 
 ament_package()

=== debian/changelog ===
ros-rolling-libstatistics-collector (1.6.2-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-libstatistics-collector (1.6.1-1jammy) jammy; urgency=high

  * Add in missing cstdint include. (#165 <https://github.com/ros-tooling/libstatistics_collector/issues/165>)
  * Contributors: Chris Lalancette

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-libstatistics-collector (1.6.0-1jammy) jammy; urgency=high

  * Bump codecov/codecov-action from 3.1.2 to 3.1.3
  * Contributors: dependabot[bot]

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-libstatistics-collector (1.5.1-1jammy) jammy; urgency=high

  * Bump hmarr/auto-approve-action from 3.2.0 to 3.2.1
  * Mark benchmark _ as unused. (#158 <https://github.com/ros-tooling/libstatistics_collector/issues/158>)
  * Bump hmarr/auto-approve-action from 3.1.0 to 3.2.0
  * Bump ros-tooling/action-ros-ci from 0.2 to 0.3
  * Bump pascalgn/automerge-action from 0.15.5 to 0.15.6
  * Contributors: Chris Lalancette, dependabot[bot]

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-libstatistics-collector (1.5.0-1jammy) jammy; urgency=high

  * Update libstatistics_collector to C++17. (#154 <https://github.com/ros-tooling/libstatistics_collector/issues/154>)
  * Contributors: Chris Lalancette

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-libstatistics-collector (1.4.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-rolling-libstatistics-collector (1.2.1-1jammy) jammy; urgency=high

  * Remove unnecessary build dependency on std_msgs. (#145 <https://github.com/ros-tooling/libstatistics_collector/issues/145>)
  * Bump pascalgn/automerge-action from 0.15.2 to 0.15.3
  * Cleanup the CI jobs on this repository. (#146 <https://github.com/ros-tooling/libstatistics_collector/issues/146>)
  * Check if message has a "header" field with a stamp subfield of type builtin_interfaces::msg::Time (#54 <https://github.com/ros-tooling/libstatistics_collector/issues/54>)
  * Mirror rolling to master
  * Contributors: Audrow Nash, Chris Lalancette, Scott Mende, dependabot[bot]

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-libstatistics-collector (1.2.0-1jammy) jammy; urgency=high

  * Bump pascalgn/automerge-action from 0.14.3 to 0.15.2
  * Bump ros-tooling/setup-ros from 0.2.2 to 0.3.0
  * Bump actions/upload-artifact from 2.3.1 to 3
  * Bump actions/upload-artifact from 2.2.4 to 2.3.1
  * Bump actions/checkout from 2 to 3
  * Bump ros-tooling/setup-ros from 0.2.1 to 0.2.2 (#123 <https://github.com/ros-tooling/libstatistics_collector/issues/123>)
  * Install includes to include/${PROJECT_NAME} (#122 <https://github.com/ros-tooling/libstatistics_collector/issues/122>)
  * Bump codecov/codecov-action from 2.0.3 to 2.1.0
  * Bump pascalgn/automerge-action from 0.14.2 to 0.14.3
  * Bump codecov/codecov-action from 2.0.2 to 2.0.3
  * Use rosidl_get_typesupport_target() (#116 <https://github.com/ros-tooling/libstatistics_collector/issues/116>)
  * Bump codecov/codecov-action from 2.0.1 to 2.0.2
  * Bump codecov/codecov-action from 1.5.2 to 2.0.1
  * Bump actions/upload-artifact from 1 to 2.2.4
  * Bump codecov/codecov-action from 1.5.1 to 1.5.2
  * Remove cloudwatch reporting (#110 <https://github.com/ros-tooling/libstatistics_collector/issues/110>)
  * Bump codecov/codecov-action from 1.3.1 to 1.5.1
  * Bump ros-tooling/setup-ros from 0.2.0 to 0.2.1
  * Bump pascalgn/automerge-action from 0.14.1 to 0.14.2
  * Bump ros-tooling/setup-ros from 0.1 to 0.2.0
  * Bump pascalgn/automerge-action from 0.13.1 to 0.14.1
  * Fix autoapprove
  * Package.json explicitly owned by emerson to minimize notifications
  * Replace index.ros.org links -> docs.ros.org. (#94 <https://github.com/ros-tooling/libstatistics_collector/issues/94>)
  * Bump hmarr/auto-approve-action from v2.0.0 to v2.1.0
  * Bump codecov/codecov-action from v1.2.1 to v1.3.1
  * Use latest versions of CI actions (#92 <https://github.com/ros-tooling/libstatistics_collector/issues/92>)
  * Contributors: Chris Lalancette, Emerson Knapp, Shane Loretz, dependabot[bot]

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-libstatistics-collector (1.1.0-1jammy) jammy; urgency=high

  * fix: measured values after the decimal point are truncated #79 <https://github.com/ros-tooling/libstatistics_collector/issues/79> (#80 <https://github.com/ros-tooling/libstatistics_collector/issues/80>)
  * Update linter to run on rolling+focal (#81 <https://github.com/ros-tooling/libstatistics_collector/issues/81>)
  * Add automerge.yml config file (#70 <https://github.com/ros-tooling/libstatistics_collector/issues/70>)
  * Update QD to QL 1 (#68 <https://github.com/ros-tooling/libstatistics_collector/issues/68>)
  * Updated QD (#64 <https://github.com/ros-tooling/libstatistics_collector/issues/64>)
  * Updated QD Performance tests (#58 <https://github.com/ros-tooling/libstatistics_collector/issues/58>)
  * Added benchmark test to libstatistics_collector (#57 <https://github.com/ros-tooling/libstatistics_collector/issues/57>)
    * Added benchmark test to libstatistics_collector
    * cppcheck supressed unknown macro warning - macos
    * Reset heap counters
    * Added feedback
    * Remove unknownMacro suppression from CMakeLists.txt
    * Added feedback
    * moved benchmark test to test/benchmark
    * Added feedback
    Co-authored-by: Devin Bonnie <mailto:47613035+dabonnie@users.noreply.github.com>
  * Report failed workflows (#56 <https://github.com/ros-tooling/libstatistics_collector/issues/56>)


=== debian/control ===
Source: ros-rolling-libstatistics-collector
Section: misc
Priority: optional
Maintainer: ROS Tooling Working Group <ros-tooling@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-performance-test-fixture <!nocheck>, ros-rolling-rcl, ros-rolling-rcpputils, ros-rolling-rcutils <!nocheck>, ros-rolling-rosidl-default-generators <!nocheck>, ros-rolling-rosidl-default-runtime <!nocheck>, ros-rolling-statistics-msgs, ros-rolling-std-msgs <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-libstatistics-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rcl, ros-rolling-rcpputils, ros-rolling-statistics-msgs, ros-rolling-ros-workspace
Description: Lightweight aggregation utilities to collect statistics and measure message metrics.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
